
#ifndef PLATFORM_UNIX_APPLICATION_H
#define PLATFORM_UNIX_APPLICATION_H

#include <Spectre/System/MessageQueue.h>
#include <Platform/PlatformApplication.h>
#include "X11Input.h"

namespace sp {

class UnixApplication : public PlatformApplication
{
public :
	virtual void init();

	virtual void shutdown();

	virtual PlatformInput& getInput();

	virtual MessageQueue& getMessageQueue();

protected :

	X11Input	m_input;
	MessageQueue	m_messageQueue;
};

} // namespace sp

#endif /* PLATFORM_UNIX_APPLICATION_H */
